
/*
kcmkwix.h - header file for the KwiX kcontrol module.

Terms and Conditions

Copyright (c) 2001 Catalin Climov <xxl@thekompany.com>

Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
of the Software, and to permit persons to whom the Software is furnished to do
so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Except as contained in this notice, the name of the copyright holder shall not
be used in advertising or otherwise to promote the sale, use or other dealings
in this Software without prior written authorization from the copyright holder.
*/

#ifndef KCMKWIX_H
#define KCMKWIX_H

#include <kcmodule.h>
#include "ksubsetselector.h"

class KSubsetSelector;

extern "C" void init_kwix();

/**
 * The LookNFeel/KwiX tab in kcontrol.
 */
class KwixCM: public KCModule
{
    Q_OBJECT
	
public:
    KwixCM(QWidget *parent, const char *name);
    ~KwixCM();

    virtual void load();
    virtual void save();
    virtual void defaults();

    QString quickHelp() const;

signals:
    void changed(bool);

private slots:
    void slotSelectionModified();

private:
    enum { Separator_ID, Menu_ID, Title_ID, Help_ID, Sticky_ID, Minimize_ID, Maximize_ID, Close_ID };
    void createDefaults();
    KSubsetSelector* _selector;
    KSubset _default;
    QArray<int> _selected;
    QArray<int> _saved;
};

#endif // KCMKWIX_H
